<template>
    <div class="container">
        <h2 id="usuarisTrobats">{{titol}} </h2>
        <!--button type="button" class="btn btn-success btn-lg" v-on:click="obrirModal(0)">Crear usuari</button-->
        <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#afegirUsuari">Afegir usuari</button>

        <div class="flex-container">
            <div id="usuari" v-for="usuari in usuaris" v-bind:key="usuari.idUsuari">  
                    <img id="imgUsuari" src="img/user-icon.png" v-on:click="obrirModal(0,usuari.idUsuari)">
                    <p>{{usuari.name}}</p>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="afegirUsuari" role="dialog">
            <div class="modal-dialog">
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Afegir un usuari</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>

                    <div class="modal-body">

                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">Nom i cognoms</label>
                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" required autocomplete="name" autofocus>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="usuari" class="col-md-4 col-form-label text-md-right">Nom usuari</label>

                            <div class="col-md-6">
                                <input id="usuari" type="text" class="form-control" name="usuari" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">Correu electrònic</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control" name="email" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Contrasenya</label>

                            <div class="col-md-6 input-group" id="show_hide_password">
                                <input id="password" type="password" class="form-control" name="password" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right">Confirma la contrassenya</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="tipusUsuari" class="col-md-4 col-form-label text-md-right">Tipus d'usuari</label>

                            <div class="col-md-6">
                                <select id="tecnicSelect" class="selectR" name="tipusUsuari">
                                    <option value="1">Tecnic</option>
                                    <option value="2">Tecnic 2</option>
                                </select>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-success">Guardar</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Tancar</button>
                    </div>
                </div>
      
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props: ["ruta"],
        mounted() {
            console.log('Component mounted.')
        },
        data: function() {
            return {
                titol: null,
                usuaris: [],
                usuariGuardar:{
                    nomUsuari: null,
                    usuariguardar:{
                        nom: null,
                        usauri: null,
                        email: null,
                        password: null,
                        tipusUsuari: null
                    }
                }
            }
        },
        methods: {
            getNumUsers(){
                axios
                .get(this.ruta + '/api/allUsers')
                .then(response =>{
                    this.usuaris = response.data;
                    this.titol = "Usuaris trobats: " + this.usuaris.length;
                })
            },
            obrirModal($obrir, $id){
                var modal = document.getElementById("afegirUsuari");
                if($obrir == 0){
                    modal.style.display = "block";
                    if($id != undefined){
                        axios
                        .get(this.ruta + '/api/usuari/' + $id)
                        .then(response =>{

                        })
                    }
                }
            },
            guradarUsuari(){
                this.usuariGuardar.nom = document.getElementById('name').value;
                this.usuariGuardar.usuari = document.getElementById('usuari').value;
                this.usuariGuardar.email = document.getElementById('email').value;
                this.usuariGuardar.password = document.getElementById('password').value;
                this.usuariGuardar.tipusUsuari = document.getElementById('tecnicSelect').value;
            }
        },
        mounted: function(){
            this.getNumUsers();
        }
    }
</script>
